First time here? Check out the FAQ!
x

My Xperia X8 is Android 2.3.7 based, but Subway Surfers cannot be installed on it.

0 votes
asked by about Subway Surfers
edited by

My Xperia X8 is Android 2.3.7 based, but Subway Surfers cannot be installed on it. What is the cause of this?

Thank you for your answer.

2 Answers

0 votes
answered by (264k points)

The game can be installed in Xperia X8, but it will run with a little lag since the application requires powerful processing for a smooth gameplay. Use the Google Play store to install it. If you still can't install it, then the application does not fully support your mobile phone.

0 votes
answered by

its a very intresting game but only support for high android versions above 2.3.3 and needs fast processor

Your answer

Your name to display (optional):
Privacy: Your email address will only be used for sending these notifications.
Anti-spam verification:
To avoid this verification in future, please log in or register
...